import { request } from '/@/utils/service';
import { PageQuery, AddReq, DelReq, EditReq, InfoReq } from '@fast-crud/fast-crud';
import { Session } from '/@/utils/storage';

export const apiPrefix = '/system/interview_question/create';

export function GetPermission() {
	return request({
		url: apiPrefix + 'field_permission/',
		method: 'get',
	});
}

export function GetList(query: PageQuery) {
	return request({
		url: '/api/system/interview_question/list',
		method: 'get',
		params: {...query,tenant_id:1},/* :Session.get('tenant_id').tenant_id || ,tenant_id:'1' */
	});
}
export function GetObj(id: InfoReq) {
	return request({
		url: "/api/system/interview_question/detail" + id,
		method: 'get',
	});
}

export function AddObj(obj: AddReq) {
	return request({
		url: "/api/system/interview_question/create",
		method: 'post',
		data: {...obj,tenant_id: '1'},/* Session.get('tenant_id').tenant_id ||,tenant_id: '1' */
	});
}

export function UpdateObj(obj: EditReq) {
	return request({
		url: "/api/system/interview_question/update",/* + obj.id+'/' */
		method: 'put',
		data: {...obj,tenant_id: '1'},
	});
}

export function DelObj(id: DelReq) {
	return request({
		url: '/api/system/interview_question/delete',/* + id + '/' ,tenant_id: '1' */
		method: 'delete',
		data: { id},
	});
}
